//
//  ViewController.swift
//  AmpSimpleSample
//
//  Created by Lopez Valenciano, Miguel on 3/31/16.
//  Copyright © 2016 Akamai. All rights reserved.
//

import UIKit
import AmpCore
import Amp360

class ViewController: UIViewController, PlayerEventObserver {
    
    var ampPlayer: AmpPlayer!
    var ampVR: Amp360Manager!
    var slider: AmpSlider!
    
    let url = "http://multiplatform-f.akamaihd.net/i/multi/will/bunny/big_buck_bunny_,640x360_400,640x360_700,640x360_1000,950x540_1500,.f4v.csmil/master.m3u8"
    var observerID:Int?
    
    let slowMP4 = "http://mediapm.edgesuite.net/ovp/content/demo/video/elephants_dream/elephants_dream_768x428_24.0fps_608kbps.mp4"
            
    let audioOnly = "http://www.noiseaddicts.com/samples_1w72b820/3889.mp3"
    
    let video360 = "https://mdtp-a.akamaihd.net/360/360.m3u8"
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let url = Bundle.main.url(forResource: "vr", withExtension: "mp4")
        self.ampPlayer = AmpPlayer(parentView: self.view)
        self.ampVR = Amp360Manager(ampPlayer: self.ampPlayer!, videoView: self.ampPlayer!.playerView!)
        AmpPlayer.setApiKey("demoiOS")
        self.ampPlayer.autoplay = true
        self.ampPlayer.setPoster("https://www.iphonetricks.org/wp-content/uploads/2017/06/ios-11-wallpaper-for-ipad-1.jpg")
        
        print("AKAMAI PLAYER VERSION: \(self.ampPlayer!.version)")
        observerID = self.ampPlayer.registerObserver(self)
        self.ampPlayer.play(url)
    
    }
    
    override func viewWillDisappear(_ animated: Bool) {
        self.ampPlayer.destroy()
        self.ampPlayer = nil
        super.viewWillDisappear(animated)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func onBufferingStateChanged(_ ampPlayer: AmpPlayer) {
        if ampPlayer.bufferingState == .ready {
            print("Stream type \(ampPlayer.streamType)")
            print("The obserer ID is \(observerID)" )
        }
    }
    
    func onAVPlayerCreation(_ ampPlayer: AmpPlayer) {
        print("AV Player Created")
    }
}
